Subject: RE : AS2-SMIME : has the certificate to be included inside the si gnatu re?

From: [email-masked]
Date: Thu, 5 Jun 2003 16:27:51 +0100

Thanks for your answer.

In fact I have interoperability issues between OpenAS2 and a commercial
AS2-certified product (I will not say which one). 

I'm pretty sure OpenAS2 doesn't send the certificate inside the signature
when it sends a message (the signature part is too short to be contain the
certificate). But this produces a signature checking error on the commercial
product, and I do believe it's due to the lack of certificate: this
commercial product uses OpenSSL, and in the log the command line calls are
visible; and with this command line OpenSSL is not able to check the
signature even if it is available on the computer.

I'd really like to know what's inside the spec about this.

Thanks,
Ludan Stoecklé.

-----Message d'origine-----
De : Jess Sightler [mailto:[email-masked]] 
Envoyé : jeudi 5 juin 2003 14:36
À : [email-masked]
Cc : [email-masked]
Objet : Re: AS2-SMIME : has the certificate to be included inside the
signatu re?

I can't speak 100% from the spec on this, but I know that iSoft makes
sending the Certificate with a signature optional.

Based on that, I believe that it is an option to not send the cert.  I
believe that sending the Cert would be a good practice, however.

Thanks,
Jess

On Thu, 2003-06-05 at 09:58, [email-masked] wrote:
> Hello,
> 
>  
> 
> I am new on this list - and I need your help.
> 
>  
> 
> AS2: when sending a signed message (the original message which can
> also be signed, or a signed MDN), has the signer's certificate to be
> included inside of the signature MIME part?
> 
> Is it mandatory or should AS2 compliant products accept both? (signed
> messages containing the cert, or not containing it, in which case they
> would try to find a certificate on the local key store etc.) 
> 
>  
> 
> Regards,
> 
> -----------------------------------------
> Ludan STOECKLE
> DSI Groupe Casino - Etudes
> 
> 04 77 45 48 01
> 
> [email-masked]
> -----------------------------------------
> 
> 
>  
> 
> 
>  
-- 
=======================================
Jess Sightler
Senior Developer
Exim Technologies
131 Falls Street
Greenville SC 29601
Phone: 864-679-4651
=======================================